<button
	mat-icon-button
	[ngClass]="c.digitCssClasses[digit]"
	[disabled]="c.digitCssClasses[digit].exhaustedDigit"
	class="digit"
	*ngFor="let digit of c.oneToNine"
	(click)="c.digitClicked(digit)"
>
	{{ digit }}
</button>
<button
	mat-icon-button
	[ngClass]="c.digitCssClasses[0]"
	class="digit"
	*ngIf="c.isUserDefined"
	(click)="c.digitClicked(0)"
>
	X
</button>
<div class="center" [innerHTML]="c.reason"></div>
